Loading...
Searching...
No Matches
flags.h File Reference

Enum-based bit fields. More...

`#include <type_traits>`
Include dependency graph for flags.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | libcamera::Flags< E >
| Type-safe container for enum-based bitfields. More...

## Namespaces

namespace | libcamera
| Top-level libcamera namespace.

## Macros

#define | LIBCAMERA_FLAGS_ENABLE_OPERATORS(_enum)
| Enable bitwise operations on the enum enumeration.

## Detailed Description

Enum-based bit fields.

## Macro Definition Documentation

## LIBCAMERA_FLAGS_ENABLE_OPERATORS

#define LIBCAMERA_FLAGS_ENABLE_OPERATORS | ( |  | _enum | ) |

Enable bitwise operations on the enum enumeration.

This macro enables the bitwise AND, OR, XOR and NOT operators on the given enum. This allows the enum values to be safely used in bitwise operations with the Flags<> class.